]> scripts.mit.edu Git - autoinstalls/wordpress.git/blobdiff - wp-admin/includes/admin.php
WordPress 4.0
[autoinstalls/wordpress.git] / wp-admin / includes / admin.php
index a75a19934d22aa4721e6f0b93495b31ea6642b06..f1fc8cb003d6046903b8b8ae026ecb20fd4fd90a 100644 (file)
@@ -6,6 +6,15 @@
  * @subpackage Administration
  */
 
+if ( ! defined('WP_ADMIN') ) {
+       /*
+        * This file is being included from a file other than wp-admin/admin.php, so
+        * some setup was skipped. Make sure the admin message catalog is loaded since
+        * load_default_textdomain() will not have done so in this context.
+        */
+       load_textdomain( 'default', WP_LANG_DIR . '/admin-' . get_locale() . '.mo' );
+}
+
 /** WordPress Bookmark Administration API */
 require_once(ABSPATH . 'wp-admin/includes/bookmark.php');
 
@@ -33,12 +42,19 @@ require_once(ABSPATH . 'wp-admin/includes/plugin.php');
 /** WordPress Post Administration API */
 require_once(ABSPATH . 'wp-admin/includes/post.php');
 
+/** WordPress Administration Screen API */
+require_once(ABSPATH . 'wp-admin/includes/screen.php');
+
 /** WordPress Taxonomy Administration API */
 require_once(ABSPATH . 'wp-admin/includes/taxonomy.php');
 
 /** WordPress Template Administration API */
 require_once(ABSPATH . 'wp-admin/includes/template.php');
 
+/** WordPress List Table Administration API and base class */
+require_once(ABSPATH . 'wp-admin/includes/class-wp-list-table.php');
+require_once(ABSPATH . 'wp-admin/includes/list-table.php');
+
 /** WordPress Theme Administration API */
 require_once(ABSPATH . 'wp-admin/includes/theme.php');
 
@@ -48,7 +64,11 @@ require_once(ABSPATH . 'wp-admin/includes/user.php');
 /** WordPress Update Administration API */
 require_once(ABSPATH . 'wp-admin/includes/update.php');
 
-/** WordPress Registration API */
-require_once(ABSPATH . WPINC . '/registration.php');
+/** WordPress Deprecated Administration API */
+require_once(ABSPATH . 'wp-admin/includes/deprecated.php');
 
-?>
\ No newline at end of file
+/** WordPress Multisite support API */
+if ( is_multisite() ) {
+       require_once(ABSPATH . 'wp-admin/includes/ms.php');
+       require_once(ABSPATH . 'wp-admin/includes/ms-deprecated.php');
+}